/* Gate Specific Code -- BEGIN */
/*
 * Copyright (c) 1998-2001 by Sun Microsystems, Inc.
 * All rights reserved.
 */

#pragma ident	"@(#)xfs.h	1.5	01/01/30 SMI"

/* Gate Specific Code -- END */
#ifndef	_XFS_COMMON_H
#define	_XFS_COMMON_H

#include <libdsdev.h>

#ifdef __cplusplus
extern "C" {
#endif

/* Debug levels for error messages */
#define	DBG_LEVEL_HIGH		9
#define	DBG_LEVEL_MED		5
#define	DBG_LEVEL_LOW		1

#define	SCDS_CMD_SIZE		8*1024

#define	SCDS_ARRAY_SIZE		1024

int svc_validate(scds_handle_t scds_handle);

int svc_start(scds_handle_t scds_handle);

int svc_stop(scds_handle_t scds_handle);

int svc_wait(scds_handle_t scds_handle);

int mon_start(scds_handle_t scds_handle);

int mon_stop(scds_handle_t scds_handle);

int svc_probe(scds_handle_t scds_handle, char *hostname, int port, int timeout);

int preprocess_cmd(scds_handle_t scds_handle, char *orig_cmd);

/* User added code -- BEGIN vvvvvvvvvvvvvvv */
/* User added code -- END   ^^^^^^^^^^^^^^^ */

#ifdef __cplusplus
}
#endif

#endif /* _XFS_COMMON_H */
